[arch-dev-public] bluez from testing and pilot-link

Jan de Groot jan at jgc.homeip.net
Sun Dec 28 06:51:31 EST 2008

On Sat, 2008-12-27 at 22:01 +0100, Andreas Radke wrote:
> pilot-link update introduced a changed dependency and this now fails
> with bluez from testing though new bluez provides bluez-libs
> [root at laptop64 andyrtr]# LANG=C pacman -Syu
> :: Synchronizing package databases...
>  testing is up to date
>  core is up to date
>  extra is up to date
>  community is up to date
> :: Starting full system upgrade...
> :: Replace bluez-libs with testing/bluez? [Y/n] 
> resolving dependencies...
> looking for inter-conflicts...
> error: failed to prepare transaction (could not satisfy dependencies)
> :: pilot-link: requires bluez-libs>=3.32
> can't pacman handle the provides array well?
> -Andy

This is because I added a versioned dependency, while bluez from testing
doesn't have a versioned provides. Actually, the bluez in testing is
totally incompatible with bluez-libs from extra, so providing bluez-libs
is bullshit anyways.
I have bluez in my IgnorePkg for a long time already. Bluez in testing
is a mess at this moment.

More information about the arch-dev-public mailing list